package ru.ispras.telecomtesk.tlsv13.TLSAlgorithms;

public enum SignatureAlgorithm {
	ANONYMOUS(0),
	RSA(1),
	DSA(2),
	ECDSA(3),
	UNKNOWN(255);
	
	public byte salg;
	
	private SignatureAlgorithm(int alg) {
		salg = (byte)alg;
	}
	public byte getValue(){
		return salg;
	}
	public static SignatureAlgorithm valueOf(byte alg) {
		switch (alg) {
		case 0: return ANONYMOUS;
		case 1: return RSA;
		case 2: return DSA;
		case 3: return ECDSA;
		default: return UNKNOWN;
		}
	}
}
