package ru.ispras.telecomtesk.tlsv13.TLSState;

public enum MessageDirection {
	CLIENT_SEND, CLIENT_RECEIVE, SERVER_SEND, SERVER_RECEIVE;
	
	public static MessageDirection getMessageDirection(ConnectionRole role, TLSDirection dr) {
		switch(role) {
		case CLIENT:
			switch(dr) {
			case SEND: return CLIENT_SEND;
			case RECEIVE: return CLIENT_RECEIVE;
			}
			break;
		case SERVER:
			switch(dr) {
			case SEND: return SERVER_SEND;
			case RECEIVE: return SERVER_RECEIVE;
			}
			break;
		}
		
		return CLIENT_SEND;
	}

}
